PDA

View Full Version : [kubuntu] just woundering something about my webcam



someitalian123
August 4th, 2010, 03:43 AM
I got my webcam working by installing v4l-dvb, but to get it to work in skype i have to use

LD_PRELOAD=/usr/lib/libv4l/v4l2convert.so skype

I was wondering why exactly do I have to do that, what does it do?

jtarin
August 4th, 2010, 03:51 AM
If your camera doesn't work with skype you should preload v4l2convert. This means that the application is v4l2 compliant but some camera formats are not supported and must be converted first.
No need to use v4l1_compat, unless you are using a very old version of skype, this is only intended to applications that are v4l1 compliant, and since this has been deprecated for a very long time, most apps (with very few exceptions) have now support for v4l2.

someitalian123
August 4th, 2010, 07:15 PM
Thanks for the information.